DGraphAddressFunction.DGraphSubFunction (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.syntaxgraph.feature
Enum DGraphAddressFunction.DGraphSubFunction

    java.lang.Object
      java.lang.Enum<DGraphAddressFunction.DGraphSubFunction>
          org.maltparser.core.syntaxgraph.feature.DGraphAddressFunction.DGraphSubFunction

All Implemented Interfaces:
  Serializable, Comparable<DGraphAddressFunction.DGraphSubFunction>

Enclosing class:
  DGraphAddressFunction

    public static enum DGraphAddressFunction.DGraphSubFunction

extends Enum<DGraphAddressFunction.DGraphSubFunction>

Enum Constant Summary
`ANC`
`HEAD`
`LDEP`
`LDESC`
`LSIB`
`PANC`
`PLDESC`
`PRDESC`
`PRED`
`RDEP`
`RDEP2`
`RDESC`
`RSIB`
`SUCC`

Method Summary
`static DGraphAddressFunction.DGraphSubFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DGraphAddressFunction.DGraphSubFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HEAD

    public static final DGraphAddressFunction.DGraphSubFunction HEAD

### LDEP

    public static final DGraphAddressFunction.DGraphSubFunction LDEP

### RDEP

    public static final DGraphAddressFunction.DGraphSubFunction RDEP

### RDEP2

    public static final DGraphAddressFunction.DGraphSubFunction RDEP2

### LSIB

    public static final DGraphAddressFunction.DGraphSubFunction LSIB

### RSIB

    public static final DGraphAddressFunction.DGraphSubFunction RSIB

### PRED

    public static final DGraphAddressFunction.DGraphSubFunction PRED

### SUCC

    public static final DGraphAddressFunction.DGraphSubFunction SUCC

### ANC

    public static final DGraphAddressFunction.DGraphSubFunction ANC

### PANC

    public static final DGraphAddressFunction.DGraphSubFunction PANC

### LDESC

    public static final DGraphAddressFunction.DGraphSubFunction LDESC

### PLDESC

    public static final DGraphAddressFunction.DGraphSubFunction PLDESC

### RDESC

    public static final DGraphAddressFunction.DGraphSubFunction RDESC

### PRDESC

    public static final DGraphAddressFunction.DGraphSubFunction PRDESC

Method Detail

### values

    public static DGraphAddressFunction.DGraphSubFunction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DGraphAddressFunction.DGraphSubFunction c : DGraphAddressFunction.DGraphSubFunction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DGraphAddressFunction.DGraphSubFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.